-- Recibo de Recebimento Título
-- Data
SELECT	DATE(((EXTRACT('YEAR' FROM CURRENT_DATE)*100) + EXTRACT('MONTH' FROM CURRENT_DATE)) || '01') AS data_inicio_mes,
	DATE(CURRENT_DATE) AS data_informada,
	(DATE(CURRENT_DATE) - DATE(((EXTRACT('YEAR' FROM CURRENT_DATE) * 100) + EXTRACT('MONTH' FROM CURRENT_DATE)) || '01') + 1) AS dias_mes,
	CAST(EXTRACT('YEAR' FROM CURRENT_DATE) AS INTEGER) AS ano,
	CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) AS mes,
	(CASE	WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 1 THEN  'Janeiro'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 2 THEN  'Fevereiro'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 3 THEN  'Março'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 4 THEN  'Abril'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 5 THEN  'Maio'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 6 THEN  'Junho'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 7 THEN  'Julho'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 8 THEN  'Agosto'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 9 THEN  'Setembro'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 10 THEN  'Outubro'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 11 THEN  'Novembro'
		WHEN CAST(EXTRACT('MONTH' FROM CURRENT_DATE) AS INTEGER) = 12 THEN  'Dezembro' END) AS mesextenso